Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.impl.model
Class OWLOntologyImpl.EntityAdder

    java.lang.Object
      |
      +--org.semanticweb.owl.impl.model.OWLOntologyImpl.EntityAdder

All Implemented Interfaces:
  OWLEntityVisitor

Enclosing class:
  OWLOntologyImpl

protected class OWLOntologyImpl.EntityAdder
extends Object
implements OWLEntityVisitor

Field Summary
`protected OntologyChange` | `cause`

Method Summary
`void` | `visit(OWLAnnotationProperty entity)`
`void` | `visit(OWLClass entity)`
`void` | `visit(OWLDataProperty entity)`
`void` | `visit(OWLIndividual entity)`
`void` | `visit(OWLObjectProperty entity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cause

    protected OntologyChange cause

Method Detail

### visit

    public void visit(OWLClass entity)
               throws OWLException

  Specified by:
    `visit` in interface `OWLEntityVisitor`
    `OWLException`

### visit

    public void visit(OWLObjectProperty entity)
               throws OWLException

  Specified by:
    `visit` in interface `OWLEntityVisitor`
    `OWLException`

### visit

    public void visit(OWLAnnotationProperty entity)
               throws OWLException

  Specified by:
    `visit` in interface `OWLEntityVisitor`
    `OWLException`

### visit

    public void visit(OWLDataProperty entity)
               throws OWLException

  Specified by:
    `visit` in interface `OWLEntityVisitor`
    `OWLException`

### visit

    public void visit(OWLIndividual entity)
               throws OWLException

  Specified by:
    `visit` in interface `OWLEntityVisitor`
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb